text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Type.Equality

Description

Monomorphic `TextShow` function for propositional equality. This module only exports functions if using `base-4.7.0.0` or later.

Since: 2

Synopsis

- showbPropEquality :: (a :~: b) -> Builder

# Documentation

showbPropEquality :: (a :~: b) -> Builder Source

Convert a propositional equality value to a `Builder`. This function is only available with `base-4.7.0.0` or later.

Since: 2